This endpoint sets the complete list of available slots for a specific provider on a specific date. Each request must include the entire set of slots for that date. If a provider wishes to list times at multiple locations for a single date, each location must have its own timeslot object added to the array. A new request made for the same provider and date will overwrite the previous set of slots. If you send an empty array, all slots for that provider across all locations on that date will be deleted.
Note: The timeslots are stored in an eventually consistent data store. This means there is a small possibility that a fetch might not include recently created slots if you fetch timeslots immediately after inserting them.
Parameter Validations:
- The user must have access to the specified
provider_id.
Validations for each timeslot in the request body:
slot.provider_id:- Must match the
provider_idspecified in the endpoint parameter.
- Must match the
slot.start_time:- Must be a valid "local date-time" string in ISO 8601 format, e.g.,
2024-09-15T12:13:00. The seconds component is optional. - The date component must match the
dateparameter.
- Must be a valid "local date-time" string in ISO 8601 format, e.g.,
slot.time_zone:- Must be a valid IANA time zone ID (e.g.,
America/New_YorkorAmerica/Denver).
- Must be a valid IANA time zone ID (e.g.,
- Sandboxhttps://api-developer-sandbox.zocdoc.com/v1/providers/{provider_id}/calendar/timeslots
- Productionhttps://api-developer.zocdoc.com/v1/providers/{provider_id}/calendar/timeslots
curl -i -X PUT \
'https://api-developer-sandbox.zocdoc.com/v1/providers/pr_abc123-def456_wxyz7890/calendar/timeslots?date=2024-10-16' \
-H 'Content-Type: application/json' \
-d '{
"timeslots": [
{
"provider_id": "pr_abc123-def456_wxyz7890",
"location_id": "lo_abc123-def456_wxyz7890",
"start_time": "2024-10-16T09:30:00",
"time_zone": "America/New_York",
"allowed_visit_reason_ids": [
"pc_TlZW-r06U0W3pCsIGtSI5B"
],
"excluded_visit_reason_ids": [
"pc_TAZW-r16U0B3pZeIutSI3L"
],
"patient_type": "new"
}
]
}'{ "errors": { "not_found_location_ids": [ … ] } }